#include <iostream>
using namespace std;

const int DOLLAR_TO_CENT = 100;
const int QUARTER_TO_CENT = 25;
const int DIME_TO_CENT = 10;
const int NICKELS_TO_CENT = 5;

int main() {
    // Declare variables to store the amount in dollars and cents
    int dollars, cents;

    // Get values of variables from user input
    cout << "Please enter your amount in the format of dollars and cents separated by a space:" << endl;
    cin >> dollars >> cents;

    // Declare variables to store the quantity of each type of coin
    int quarters, dimes, nickels, pennies;

    // Calculate the minimum number of coins needed for the given money amount
    int total_in_cents = DOLLAR_TO_CENT * dollars + cents;
    quarters = total_in_cents / QUARTER_TO_CENT;
    total_in_cents %= QUARTER_TO_CENT;
    dimes = total_in_cents / DIME_TO_CENT;
    total_in_cents %= DIME_TO_CENT;
    nickels = total_in_cents / NICKELS_TO_CENT;
    pennies = total_in_cents % NICKELS_TO_CENT;

    // Output the original amount in dollars and cents
    cout << dollars << " dollars and " << cents << " cents are:" << endl;

    // Output the breakdown of the amount into quarters, dimes, nickels, and pennies
    cout << quarters << " quarters, " << dimes << " dimes, " << nickels <<
         " nickels and " << pennies << " pennies" << endl;

    return 0;
}
