#include <iostream>
using namespace std;

const int DAY_TO_HOURS = 24;
const int HOUR_TO_MINUTES = 60;

int main () {

    // Declare variables to store the working time for John and Bill
    int John_days, John_hours, John_minutes, Bill_days, Bill_hours, Bill_minutes;

    // Get values of variables from user input for John's working time
    cout << "Please enter the number of days John has worked:";
    cin >> John_days;
    cout << "Please enter the number of hours John has worked:";
    cin >> John_hours;
    cout << "Please enter the number of minutes John has worked:";
    cin >> John_minutes;
    cout << "\n";

    // Get values of variables from user input for Bill's working time
    cout << "Please enter the number of days Bill has worked:";
    cin >> Bill_days;
    cout << "Please enter the number of hours Bill has worked:";
    cin >> Bill_hours;
    cout << "Please enter the number of minutes Bill has worked:";
    cin >> Bill_minutes;
    cout << "\n";

    // Declare an array to store the calculated total working time
    int total_days, total_hours, total_minutes;

    // Calculate the total working time for John and Bill
    total_days = John_days + Bill_days;
    total_hours = John_hours + Bill_hours;
    total_minutes = John_minutes + Bill_minutes;

    // Adjust the result to ensure the minutes and hours are within the valid range
    total_hours += total_minutes / HOUR_TO_MINUTES; // Add excess minutes to hours
    total_minutes %= HOUR_TO_MINUTES; // Calculate remaining minutes

    total_days += total_hours / DAY_TO_HOURS; // Add excess hours to days
    total_hours %= DAY_TO_HOURS; // Calculate remaining hours
    

    // Output the total time both John and Bill worked together
    cout << "The total time both of them worked together is: "
         << total_days << " days, "
         << total_hours << " hours and "
         << total_minutes <<" minutes." << endl;

    return 0;
}